## lib-gnu.regexp-java 1.0.8

=== src/Makefile ===
# Makefile for gnu.regexp
# Created 1 September 1998 for gnu.regexp 1.0.4
# 12 October 1998: Added REFilterInputStream.java
# 4 November 1998: Added support for Win32 (back instead of forward slashes)
# 9 November 1998: Fixed JAVAFLAGS declaration for Win32 (";" vs ":" in CLASSPATH)
# 7 March 1999: Applet JAR gets put in HTML document directory

# This is the directory where .class files will be placed
LIBDIR = ../lib
LIBDIR32 = ..\lib

# Note that these conditional makefile statements require GNU make
# The special treatment for cygwin32 relies on the OSTYPE environment
# variable. Because the Cygwin tools are still in beta, it's been
# changing. This needs to be "cygwin32" for Beta 19 and above, and
# "win32" for earlier versions. Given their recent name change from
# "gnu-win32" to "cygwin32" to "cygwin", this will probably change
# to "cygwin" at some point in the future.
ifeq ($(OSTYPE),cygwin32)
FSEP = \\
PSEP = ;
LIBPATH = $(LIBDIR32)
else
FSEP = /
PSEP = :
LIBPATH = $(LIBDIR)
endif

JAVAFLAGSCLASSPATH = -classpath ".$(PSEP)$(LIBPATH)$(PSEP)${CLASSPATH}"
GNUREGEXPPATH = gnu${FSEP}regexp${FSEP}
GNUREGEXPUTILPATH = ${GNUREGEXPPATH}util${FSEP}

# Change JAVAC variable to your java compiler.
# Change JAVAFLAGS variable to any java flags you want to compile with.

JAVAC = jikes
JAVAFLAGS = -O

#JAVAC = javac
#JAVAFLAGS = -O

JAVACOMPILE = $(JAVAC) -d "$(LIBPATH)" $(JAVAFLAGSCLASSPATH) $(JAVAFLAGS)

# This is the directory the gnu.regexp JAR file will be installed in when
# you do a 'make install'
INSTALLDIR = /usr/local/java/lib

# This is where the applet JAR goes
DOCSDIR = ../docs
# This is where the generated javadocs will go when you do a 'make javadocs'
APIDOCSDIR = ../docs/api

GNUREGEXPVERSION = 1.0.8

GNUREGEXPCORECLASSES = \
	$(LIBDIR)/gnu/regexp/RESyntax.class \
	$(LIBDIR)/gnu/regexp/CharIndexed.class \
	$(LIBDIR)/gnu/regexp/REMatch.class \
	$(LIBDIR)/gnu/regexp/REToken.class \
	$(LIBDIR)/gnu/regexp/REException.class \
	$(LIBDIR)/gnu/regexp/RETokenChar.class \
	$(LIBDIR)/gnu/regexp/RETokenRange.class \
	$(LIBDIR)/gnu/regexp/RETokenPOSIX.class \
	$(LIBDIR)/gnu/regexp/RETokenOneOf.class \
	$(LIBDIR)/gnu/regexp/RETokenAny.class \
	$(LIBDIR)/gnu/regexp/RETokenRepeated.class \
	$(LIBDIR)/gnu/regexp/RETokenBackRef.class \
	$(LIBDIR)/gnu/regexp/CharIndexedString.class \
	$(LIBDIR)/gnu/regexp/CharIndexedCharArray.class \
	$(LIBDIR)/gnu/regexp/CharIndexedStringBuffer.class \
	$(LIBDIR)/gnu/regexp/CharIndexedInputStream.class \
	$(LIBDIR)/gnu/regexp/IntPair.class \
	$(LIBDIR)/gnu/regexp/CharUnit.class \
	$(LIBDIR)/gnu/regexp/RE.class \
	$(LIBDIR)/gnu/regexp/RETokenStart.class \
	$(LIBDIR)/gnu/regexp/RETokenEnd.class \
	$(LIBDIR)/gnu/regexp/REMatchEnumeration.class

GNUREGEXPCLASSES = ${GNUREGEXPCORECLASSES} \
	$(LIBDIR)/gnu/regexp/REFilterInputStream.class

GNUREGEXPUTILCLASSES = \
	$(LIBDIR)/gnu/regexp/util/Grep.class \
	$(LIBDIR)/gnu/regexp/util/Egrep.class \
	$(LIBDIR)/gnu/regexp/util/Tests.class \
	$(LIBDIR)/gnu/regexp/util/RETest.class

GNUREGEXPAPPLETCLASSES = ${GNUREGEXPCORECLASSES} \
	$(LIBDIR)/gnu/regexp/util/REApplet.class

gnu.regexp: $(GNUREGEXPCLASSES) $(LIBDIR)/gnu-regexp-${GNUREGEXPVERSION}.jar

all: gnu.regexp applet utils

applet: $(DOCSDIR)/gnu-regexp-applet.jar


install: $(LIBDIR)/gnu-regexp-${GNUREGEXPVERSION}.jar
	cp -f $(LIBDIR)/gnu-regexp-${GNUREGEXPVERSION}.jar ${INSTALLDIR}

utils: ${GNUREGEXPUTILCLASSES}

clean:
	rm -f ${GNUREGEXPCLASSES} ${GNUREGEXPUTILCLASSES} ${GNUREGEXPAPPLETCLASSES}
	rm -f $(LIBDIR)/gnu-regexp-${GNUREGEXPVERSION}.jar
	rm -f $(DOCSDIR)/gnu-regexp-applet.jar

GNUREGEXPDIR = gnu.regexp-${GNUREGEXPVERSION}

# This constitutes the official distribution
dist: $(LIBDIR)/gnu-regexp-${GNUREGEXPVERSION}.jar
	rm -f ../.CONTENTS
	sed 's/^/$(GNUREGEXPDIR)\//' < ../CONTENTS > ../.CONTENTS
	cd ../..; tar cvzf $(GNUREGEXPDIR).tar.gz -T $(GNUREGEXPDIR)/.CONTENTS

javadocs:
	mkdir -p ${APIDOCSDIR}
	javadoc -d ${APIDOCSDIR} -author -version -public gnu.regexp gnu.regexp.util

$(LIBDIR)/gnu-regexp-${GNUREGEXPVERSION}.jar: ${GNUREGEXPCLASSES}
	cd $(LIBDIR); jar cvf gnu-regexp-${GNUREGEXPVERSION}.jar gnu/regexp/*.class

$(DOCSDIR)/gnu-regexp-applet.jar: ${GNUREGEXPCLASSES} $(LIBDIR)/gnu/regexp/util/REApplet.class
	cd $(LIBDIR); jar cvf gnu-regexp-applet.jar gnu/regexp/*.class gnu/regexp/util/REApplet.class; mv gnu-regexp-applet.jar $(DOCSDIR)

# -- Automatically generated by JavaDeps --

# Rules for gnu.regexp.REException
#
$(LIBDIR)/gnu/regexp/REException.class: gnu/regexp/REException.java
	$(JAVACOMPILE) $(GNUREGEXPPATH)REException.java


# Rules for gnu.regexp.CharIndexed
#
$(LIBDIR)/gnu/regexp/CharIndexed.class: gnu/regexp/CharIndexed.java
	$(JAVACOMPILE) $(GNUREGEXPPATH)CharIndexed.java


# Rules for gnu.regexp.REMatch
#
$(LIBDIR)/gnu/regexp/REMatch.class: gnu/regexp/REMatch.java
	$(JAVACOMPILE) $(GNUREGEXPPATH)REMatch.java

$(LIBDIR)/gnu/regexp/REMatch.class: $(LIBDIR)/gnu/regexp/CharIndexed.class


# Rules for gnu.regexp.REToken
#
$(LIBDIR)/gnu/regexp/REToken.class: gnu/regexp/REToken.java
	$(JAVACOMPILE) $(GNUREGEXPPATH)REToken.java

$(LIBDIR)/gnu/regexp/REToken.class: $(LIBDIR)/gnu/regexp/CharIndexed.class

$(LIBDIR)/gnu/regexp/REToken.class: $(LIBDIR)/gnu/regexp/REMatch.class


# Rules for gnu.regexp.RESyntax
#
$(LIBDIR)/gnu/regexp/RESyntax.class: gnu/regexp/RESyntax.java
	$(JAVACOMPILE) $(GNUREGEXPPATH)RESyntax.java


# Rules for gnu.regexp.RETokenChar
#
$(LIBDIR)/gnu/regexp/RETokenChar.class: gnu/regexp/RETokenChar.java
	$(JAVACOMPILE) $(GNUREGEXPPATH)RETokenChar.java

$(LIBDIR)/gnu/regexp/RETokenChar.class: $(LIBDIR)/gnu/regexp/REToken.class

$(LIBDIR)/gnu/regexp/RETokenChar.class: $(LIBDIR)/gnu/regexp/CharIndexed.class

$(LIBDIR)/gnu/regexp/RETokenChar.class: $(LIBDIR)/gnu/regexp/REMatch.class


# Rules for gnu.regexp.RETokenRange
#
$(LIBDIR)/gnu/regexp/RETokenRange.class: gnu/regexp/RETokenRange.java
	$(JAVACOMPILE) $(GNUREGEXPPATH)RETokenRange.java

$(LIBDIR)/gnu/regexp/RETokenRange.class: $(LIBDIR)/gnu/regexp/REToken.class

$(LIBDIR)/gnu/regexp/RETokenRange.class: $(LIBDIR)/gnu/regexp/CharIndexed.class

$(LIBDIR)/gnu/regexp/RETokenRange.class: $(LIBDIR)/gnu/regexp/REMatch.class


# Rules for gnu.regexp.RETokenPOSIX
#
$(LIBDIR)/gnu/regexp/RETokenPOSIX.class: gnu/regexp/RETokenPOSIX.java
	$(JAVACOMPILE) $(GNUREGEXPPATH)RETokenPOSIX.java

$(LIBDIR)/gnu/regexp/RETokenPOSIX.class: $(LIBDIR)/gnu/regexp/REToken.class

$(LIBDIR)/gnu/regexp/RETokenPOSIX.class: $(LIBDIR)/gnu/regexp/CharIndexed.class

$(LIBDIR)/gnu/regexp/RETokenPOSIX.class: $(LIBDIR)/gnu/regexp/REMatch.class


# Rules for gnu.regexp.RETokenOneOf
#
$(LIBDIR)/gnu/regexp/RETokenOneOf.class: gnu/regexp/RETokenOneOf.java
	$(JAVACOMPILE) $(GNUREGEXPPATH)RETokenOneOf.java

$(LIBDIR)/gnu/regexp/RETokenOneOf.class: $(LIBDIR)/gnu/regexp/REToken.class

$(LIBDIR)/gnu/regexp/RETokenOneOf.class: $(LIBDIR)/gnu/regexp/RETokenChar.class

$(LIBDIR)/gnu/regexp/RETokenOneOf.class: $(LIBDIR)/gnu/regexp/CharIndexed.class

$(LIBDIR)/gnu/regexp/RETokenOneOf.class: $(LIBDIR)/gnu/regexp/REMatch.class


# Rules for gnu.regexp.RETokenAny
#
$(LIBDIR)/gnu/regexp/RETokenAny.class: gnu/regexp/RETokenAny.java
	$(JAVACOMPILE) $(GNUREGEXPPATH)RETokenAny.java

$(LIBDIR)/gnu/regexp/RETokenAny.class: $(LIBDIR)/gnu/regexp/REToken.class

$(LIBDIR)/gnu/regexp/RETokenAny.class: $(LIBDIR)/gnu/regexp/CharIndexed.class

$(LIBDIR)/gnu/regexp/RETokenAny.class: $(LIBDIR)/gnu/regexp/REMatch.class


# Rules for gnu.regexp.RETokenRepeated
#
$(LIBDIR)/gnu/regexp/RETokenRepeated.class: gnu/regexp/RETokenRepeated.java
	$(JAVACOMPILE) $(GNUREGEXPPATH)RETokenRepeated.java

$(LIBDIR)/gnu/regexp/RETokenRepeated.class: $(LIBDIR)/gnu/regexp/REToken.class

$(LIBDIR)/gnu/regexp/RETokenRepeated.class: $(LIBDIR)/gnu/regexp/CharIndexed.class

$(LIBDIR)/gnu/regexp/RETokenRepeated.class: $(LIBDIR)/gnu/regexp/REMatch.class


# Rules for gnu.regexp.RETokenBackRef
#
$(LIBDIR)/gnu/regexp/RETokenBackRef.class: gnu/regexp/RETokenBackRef.java
	$(JAVACOMPILE) $(GNUREGEXPPATH)RETokenBackRef.java

$(LIBDIR)/gnu/regexp/RETokenBackRef.class: $(LIBDIR)/gnu/regexp/REToken.class

$(LIBDIR)/gnu/regexp/RETokenBackRef.class: $(LIBDIR)/gnu/regexp/CharIndexed.class

$(LIBDIR)/gnu/regexp/RETokenBackRef.class: $(LIBDIR)/gnu/regexp/REMatch.class


# Rules for gnu.regexp.CharIndexedString
#
$(LIBDIR)/gnu/regexp/CharIndexedString.class: gnu/regexp/CharIndexedString.java
	$(JAVACOMPILE) $(GNUREGEXPPATH)CharIndexedString.java

$(LIBDIR)/gnu/regexp/CharIndexedString.class: $(LIBDIR)/gnu/regexp/CharIndexed.class


# Rules for gnu.regexp.CharIndexedCharArray
#
$(LIBDIR)/gnu/regexp/CharIndexedCharArray.class: gnu/regexp/CharIndexedCharArray.java
	$(JAVACOMPILE) $(GNUREGEXPPATH)CharIndexedCharArray.java

$(LIBDIR)/gnu/regexp/CharIndexedCharArray.class: $(LIBDIR)/gnu/regexp/CharIndexed.class


# Rules for gnu.regexp.CharIndexedStringBuffer
#
$(LIBDIR)/gnu/regexp/CharIndexedStringBuffer.class: gnu/regexp/CharIndexedStringBuffer.java
	$(JAVACOMPILE) $(GNUREGEXPPATH)CharIndexedStringBuffer.java

$(LIBDIR)/gnu/regexp/CharIndexedStringBuffer.class: $(LIBDIR)/gnu/regexp/CharIndexed.class


# Rules for gnu.regexp.CharIndexedInputStream
#
$(LIBDIR)/gnu/regexp/CharIndexedInputStream.class: gnu/regexp/CharIndexedInputStream.java
	$(JAVACOMPILE) $(GNUREGEXPPATH)CharIndexedInputStream.java

$(LIBDIR)/gnu/regexp/CharIndexedInputStream.class: $(LIBDIR)/gnu/regexp/CharIndexed.class


# Rules for gnu.regexp.IntPair gnu.regexp.CharUnit gnu.regexp.RE gnu.regexp.RETokenStart gnu.regexp.RETokenEnd gnu.regexp.REMatchEnumeration 
#
$(LIBDIR)/gnu/regexp/IntPair.class $(LIBDIR)/gnu/regexp/CharUnit.class $(LIBDIR)/gnu/regexp/RE.class $(LIBDIR)/gnu/regexp/RETokenStart.class $(LIBDIR)/gnu/regexp/RETokenEnd.class $(LIBDIR)/gnu/regexp/REMatchEnumeration.class : gnu/regexp/RE.java gnu/regexp/RETokenStart.java gnu/regexp/RETokenEnd.java gnu/regexp/REMatchEnumeration.java 
	$(JAVACOMPILE) $(GNUREGEXPPATH)RE.java $(GNUREGEXPPATH)RETokenStart.java $(GNUREGEXPPATH)RETokenEnd.java $(GNUREGEXPPATH)REMatchEnumeration.java 

$(LIBDIR)/gnu/regexp/IntPair.class $(LIBDIR)/gnu/regexp/CharUnit.class $(LIBDIR)/gnu/regexp/RE.class $(LIBDIR)/gnu/regexp/RETokenStart.class $(LIBDIR)/gnu/regexp/RETokenEnd.class $(LIBDIR)/gnu/regexp/REMatchEnumeration.class : $(LIBDIR)/gnu/regexp/REToken.class

$(LIBDIR)/gnu/regexp/IntPair.class $(LIBDIR)/gnu/regexp/CharUnit.class $(LIBDIR)/gnu/regexp/RE.class $(LIBDIR)/gnu/regexp/RETokenStart.class $(LIBDIR)/gnu/regexp/RETokenEnd.class $(LIBDIR)/gnu/regexp/REMatchEnumeration.class : $(LIBDIR)/gnu/regexp/REException.class

$(LIBDIR)/gnu/regexp/IntPair.class $(LIBDIR)/gnu/regexp/CharUnit.class $(LIBDIR)/gnu/regexp/RE.class $(LIBDIR)/gnu/regexp/RETokenStart.class $(LIBDIR)/gnu/regexp/RETokenEnd.class $(LIBDIR)/gnu/regexp/REMatchEnumeration.class : $(LIBDIR)/gnu/regexp/RESyntax.class

$(LIBDIR)/gnu/regexp/IntPair.class $(LIBDIR)/gnu/regexp/CharUnit.class $(LIBDIR)/gnu/regexp/RE.class $(LIBDIR)/gnu/regexp/RETokenStart.class $(LIBDIR)/gnu/regexp/RETokenEnd.class $(LIBDIR)/gnu/regexp/REMatchEnumeration.class : $(LIBDIR)/gnu/regexp/RETokenChar.class

$(LIBDIR)/gnu/regexp/IntPair.class $(LIBDIR)/gnu/regexp/CharUnit.class $(LIBDIR)/gnu/regexp/RE.class $(LIBDIR)/gnu/regexp/RETokenStart.class $(LIBDIR)/gnu/regexp/RETokenEnd.class $(LIBDIR)/gnu/regexp/REMatchEnumeration.class : $(LIBDIR)/gnu/regexp/RETokenRange.class

$(LIBDIR)/gnu/regexp/IntPair.class $(LIBDIR)/gnu/regexp/CharUnit.class $(LIBDIR)/gnu/regexp/RE.class $(LIBDIR)/gnu/regexp/RETokenStart.class $(LIBDIR)/gnu/regexp/RETokenEnd.class $(LIBDIR)/gnu/regexp/REMatchEnumeration.class : $(LIBDIR)/gnu/regexp/RETokenPOSIX.class

$(LIBDIR)/gnu/regexp/IntPair.class $(LIBDIR)/gnu/regexp/CharUnit.class $(LIBDIR)/gnu/regexp/RE.class $(LIBDIR)/gnu/regexp/RETokenStart.class $(LIBDIR)/gnu/regexp/RETokenEnd.class $(LIBDIR)/gnu/regexp/REMatchEnumeration.class : $(LIBDIR)/gnu/regexp/RETokenOneOf.class
