=== debian/changelog ===
lib-gnu.regexp-java (1.1.1-1) unstable; urgency=low

  * New maintainer, closes: #92819.
  * New upstream release.
  * Index bug fixed by upstream, closes: #67153.
  * Repackaged reusing some parts of the original package.
  * Now suggests lib-gnu.getopt-java, closes: #62031.
  * Implement /usr/share/doc transition plan, closes: #91531.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Thu,  5 Apr 2001 21:23:58 +0300

lib-gnu.regexp-java (1.0.8-1) unstable; urgency=low

  * Initial Release.

 -- Stephane Bortzmeyer <bortzmeyer@debian.org>  Fri, 25 Jun 1999 13:38:08 +0200

Local variables:
mode: debian-changelog
add-log-mailing-address: "bortzmeyer@debian.org"
End:
