=== debian/control ===
Source: lib-gnu.regexp-java
Section: devel
Priority: optional
Maintainer: Antti-Juhani Kaijanaho <ajk@debian.org>
Standards-Version: 3.5.2
Build-Depends: jikes, kaffe, lib-gnu.regexp-java, lynx

Package: lib-gnu.regexp-java
Architecture: all
Depends: java-common
Suggests: lib-gnu.getopt-java
Description: Regular Expressions for Java
 The gnu.regexp package is a pure-Java implementation of a traditional 
 (non-POSIX) NFA regular expression engine. Its syntax can emulate many 
 popular development tools, including awk, sed, emacs, perl and grep.
