=== debian/rules ===
#!/usr/bin/make -f
# Written by Antti-Juhani Kaijanaho
# You may treat this file as if it were in the public domain.

librules_interface = 1
include debian/librules.mk

debian/stamp/binary/arch : debian/stamp/binary/lib-gnu.regexp-java

export CLASSPATH=.:/usr/share/kaffe/Klasses.jar:/usr/share/java/repository

debian/stamp/build :
	$(MAKE) -C src JAVAC=jikes gnu.regexp utils
	touch $@

debian/stamp/clean-build:
	-$(MAKE) -C src clean

javarep=$(rootdir)/usr/share/java/repository	

debian/stamp/binary/lib-gnu.regexp-java	: package=lib-gnu.regexp-java
debian/stamp/binary/lib-gnu.regexp-java	: debian/stamp/build
	$(prebinary)
	$(install_dir) $(javarep)
	$(install_dir) $(exampledir)
	$(install_dir) $(docbasedir)
	cp -r lib/gnu $(javarep)
	cp -r docs/* $(docdir)
	rm -f $(docdir)/gnu-regexp-applet.jar $(docdir)/changes.html
	$(install_nonex) debian/README.Debian $(docdir)
	$(install_nonex) README TODO $(docdir)
	$(install_nonex) src/gnu/regexp/util/*.java $(exampledir)
	$(install_nonex) debian/lib-gnu-regexp-java $(docbasedir)
	$(install_nonex) docs/changes.html $(docdir)/changelog.html
	lynx -dump -nolist docs/changes.html > $(docdir)/changelog
	$(gzip) $(docdir)/changelog $(docdir)/changelog.html
	$(postbinary)
	touch $@
